<div mat-subheader>Observable property</div>

<div id="contents">
    <app-metadata-area [serverUuid]="server.serveruuid!" [feature]="feature" [item]="property"></app-metadata-area>
    <div>
        <button mat-raised-button color="primary" (click)="getPropertyValue()" class="button">Get property value</button>
        <button mat-raised-button color="primary" (click)="subscribeToProperty()" [disabled]="connectedToHub" class="button">Subscribe to property</button>
        <button mat-raised-button color="primary" (click)="unsubscribeFromProperty()" [disabled]="!connectedToHub" class="button">Unsubscribe from property</button>
        <span [hidden]="!propertyAreaVisible">Last updated: {{propertyDate?.toLocaleString()}}</span>
    </div>
    <app-property-value-area [hidden]="!propertyAreaVisible" [feature]="feature" [property]="property"></app-property-value-area>
    <app-error-area [hidden]="!errorAreaVisible" [definedExecutionErrors]="feature.definedExecutionErrors || []"></app-error-area>
</div>
